Mplayer + ffmpeg installation

apps

#1

Hello…

I 'managed to get mplayer / mencoder installed following the instructions on http://www.netbrix.net/archives/20.

Anyway…

When I try to install ffmpeg using

./configure --prefix=$HOME --cross-compile --enable-shared --enable-mp3lame

however I get the error

Unknown option “–enable-mp3lame”.

now I have the follwoing listed in my bin dir…

libmp3lame.la libmp3lame.so.0
libmp3lame.a libmp3lame.so libmp3lame.so.0.0.0

(also have essential-20061022).

If anyone coud hasten a guess as to why that error is being kicked out I would really appreciate some tips on how to fix it.

Thanks guy’s n gals.


#2

Update to this one - I realised it was libmp3lame I needed and i installed mplayer 1rc6…

Anyway when I run this command

/home/USER/bin/mencoder /home/USER/mysite.com/mediatmp/64.mpg -o /home/USER/mysite.com/flvideo/9.flv -of lavf -oac libmp3lame -lameopts abr:br=56 -ovc lavc -lavcopts vcodec=flv:vbitrate=800:mbd=2:mv0:trell:v4mv:cbp:last_pred=3 -vf scale=390:290 -srate 22050

(running this ini the command line at present) the result of the above is:

Option oac: Unknown suboption libmp3lame
Error parsing option on the command line: -oac

Exiting… (error parsing command line)

Now I have installed lame so it is available. used this line to configure lame:

./configure –prefix=$HOME –enable-shared

How do I check where mencoder is looking for its codecs? and how can I fix it if its looking in the wrong place?

Thanks in advance people